package com.parkingLot.controller;

import com.parkingLot.base.controller.BaseController;
import com.parkingLot.dto.Response.CommonResponse;
import com.parkingLot.service.RemoteCallService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author wu
 * @since 2024/12/12 16:39
 */
@RestController
@RequestMapping("/remoteCall")
public class RemoteCallController extends BaseController {

    @Resource
    private RemoteCallService remoteCallService;


    /**
     * 区域剩余车位查询
     *
     * @return 响应类
     */
    @GetMapping("/GetAreaFreeSpaceNum")
    public CommonResponse GetAreaFreeSpaceNum() {
        return remoteCallService.GetAreaFreeSpaceNum();
    }

    /**
     * 根据车牌查询在场数据
     *
     * @param plateNo 车牌号
     * @return 响应类
     */
    @GetMapping("/GetCarInfoByPlateNo")
    public CommonResponse GetCarInfoByPlateNo(@RequestParam("plateNo") String plateNo) {
        return remoteCallService.GetCarInfoByPlateNo(plateNo);
    }
}